##
##  gd1.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gd1
Summary:      Fast Graphics Generation Library
URL:          http://www.boutell.com/gd/
Vendor:       Thomas Boutell
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Graphics
License:      GPL
Version:      1.8.4
Release:      20020731

#   list of sources
Source0:      http://www.boutell.com/gd/http/gd-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, png, zlib, jpeg, freetype
PreReq:       OpenPKG, openpkg >= 20020206, png, zlib, jpeg, freetype
Conflicts:    gd >= 2
AutoReq:      no
AutoReqProv:  no
Provides:     GD

%description
    GD is a graphics library. It allows your code to quickly draw images
    complete with lines, arcs, text, multiple colors, cut and paste
    from other images, and flood fills, and write out the result as a
    PNG or JPEG file. This is particularly useful in World Wide Web
    applications, where PNG and JPEG are two of the formats accepted for
    inline images by most browsers.

%prep
    %setup -q -n gd-%{version}
    %{l_shtool} subst \
        -e 's;default:.*;all: libgd.a $(PROGRAMS);' \
        -e 's;install:.*;install:;' \
        -e 's;--verbose;;' \
        Makefile
    %{l_shtool} subst \
        -e 's;^\(#define DEFAULT_FONTPATH\).*$;\1 "%{l_prefix}/share/fonts/truetype";' \
        gd.h

%build
    %{l_make} %{l_mflags} \
        COMPILER="%{l_cc}" \
        CFLAGS="%{l_cflags -O} -DHAVE_LIBPNG -DHAVE_LIBJPEG -DHAVE_LIBFREETYPE" \
        INCLUDEDIRS="-I. -I%{l_prefix}/include/freetype2 -I%{l_prefix}/include" \
        LIBDIRS="-L. -L%{l_prefix}/lib" \
        LIBS="-lm -lgd -lpng -lz -ljpeg -lfreetype -lm" \
        all

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/include
    %{l_make} %{l_mflags} install \
        INSTALL_BIN=$RPM_BUILD_ROOT%{l_prefix}/bin \
        INSTALL_LIB=$RPM_BUILD_ROOT%{l_prefix}/lib \
        INSTALL_INCLUDE=$RPM_BUILD_ROOT%{l_prefix}/include
    %{l_shtool} install -c -m 644 \
        libgd.a $RPM_BUILD_ROOT%{l_prefix}/lib
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

